#### D.5.17.12 totalChernClass

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  totalChernClass(S); S sheaf

Return:
  poly

Input:
  S is a sheaf

Output:
  a polynomial which is the total Chern class of a sheaf

Example:

    LIB "schubert.lib";
    variety X;
    X.dimension = 4;
    ring r = 0,(c(1..2),d(1..3)),wp(1..2,1..3);
    setring r;
    X.baseRing = r;
    poly c = 1 + c(1) + c(2);
    poly ch = 2 + logg(c,4);
    sheaf E = makeSheaf(X,ch);
    sheaf S = E^3;
    totalChernClass(S);
    ==> 18*c(1)^2*c(2)+9*c(2)^2+6*c(1)^3+30*c(1)*c(2)+11*c(1)^2+10*c(2)+6*c(1)+1

See also: ChernClass; topChernClass; totalSegreClass.

User manual for Singular version 4.4.1, 2025, generated by texi2html.